Package io.flutter.embedding.engine.renderer

# Enum FlutterRenderer.DisplayFeatureType

java.lang.Object
java.lang.Enum<FlutterRenderer.DisplayFeatureType>
io.flutter.embedding.engine.renderer.FlutterRenderer.DisplayFeatureType

All Implemented Interfaces:
  `Serializable`, `Comparable<FlutterRenderer.DisplayFeatureType>`, `java.lang.constant.Constable`

Enclosing class:
  `FlutterRenderer`

public static enum FlutterRenderer.DisplayFeatureType extends Enum<FlutterRenderer.DisplayFeatureType>
Types of display features that can appear on the viewport.

Some, like `FOLD`, can be reported without actually occluding the screen. They are useful for knowing where the display is bent or has a crease. The `FlutterRenderer.DisplayFeature.bounds` can be 0-width in such cases.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CUTOUT`
  Area of the screen that usually houses cameras or sensors.
  `FOLD`
  A fold in the flexible display that does not occlude the screen.
  `HINGE`
  Splits the display in two separate panels that can fold.
  `UNKNOWN`
  Type of display feature not yet known to Flutter.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `encodedValue`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FlutterRenderer.DisplayFeatureType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FlutterRenderer.DisplayFeatureType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNKNOWN

    public static final FlutterRenderer.DisplayFeatureType UNKNOWN
    Type of display feature not yet known to Flutter. This can happen if WindowManager is updated with new types. The `FlutterRenderer.DisplayFeature.bounds` is the only known property.

  - ### FOLD

    public static final FlutterRenderer.DisplayFeatureType FOLD
    A fold in the flexible display that does not occlude the screen. Corresponds to `FoldingFeature.OcclusionType.NONE`

  - ### HINGE

    public static final FlutterRenderer.DisplayFeatureType HINGE
    Splits the display in two separate panels that can fold. Occludes the screen. Corresponds to `FoldingFeature.OcclusionType.FULL`

  - ### CUTOUT

    public static final FlutterRenderer.DisplayFeatureType CUTOUT
    Area of the screen that usually houses cameras or sensors. Occludes the screen. Corresponds to `DisplayCutout`

- ## Field Details

  - ### encodedValue

    public final int encodedValue

- ## Method Details

  - ### values

    public static FlutterRenderer.DisplayFeatureType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FlutterRenderer.DisplayFeatureType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null